Skip to content

Feature Menu Settings



POST /api/v1/workspace/menu/set

Overview

Set the feature menu for the current workspace.

Body Request Parameters

Parameter Name Type Required Description
menu array Y Configured menu bar list
Allow empty: False
menu[*] json Y Menu option
Allow empty: False
menu[*].key string Y Menu
Example: CloudDial
Allow empty: False
Allowed values: ['Scene', 'Events', 'ExceptionsTracking', 'Objectadmin', 'MetricQuery', 'LogIndi', 'Tracing', 'Rum', 'CloudDial', 'Security', 'GitLabCI', 'Monitor', 'Integration', 'Workspace', 'Billing']
menu[*].value int Y Whether the menu item is enabled: 1 enabled, 0 disabled
Example: 1
Allow empty: False
Allowed values: [0, 1]

Parameter Supplementary Description

Parameter Description

Parameter Name type Required Description
menu array[json] Y Menu bar list
key string Y Menu item
value int Y Whether enabled: 0 disabled, 1 enabled

Menu Item Description

key Description
Scene Scenarios
Events Events
ExceptionsTracking Incident
Objectadmin Infrastructure
MetricQuery Metrics
LogIndi Log
Tracing APM
Rum RUM
CloudDial Synthetic Tests
Security Security Check
GitLabCI CI Visualization
Monitor Monitoring
Integration Integration
Workspace Management
Billing Billing

Note:
1. If not configured, the frontend treats it as a new menu and enables it by default.
2. Menu configurations existing in the admin backend will affect the final display effect of the workspace configuration.

Request Example

curl 'https://openapi.truewatch.com/api/v1/workspace/menu/set' \
-H 'Content-Type: application/json;charset=UTF-8' \
-H 'DF-API-KEY: <DF-API-KEY>' \

--data-raw '{"menu":[{"key":"Scene","value":1},{"key":"Events","value":1},{"key":"ExceptionsTracking","value":1},{"key":"Objectadmin","value":1},{"key":"MetricQuery","value":1},{"key":"LogIndi","value":1},{"key":"Tracing","value":1},{"key":"Rum","value":1},{"key":"CloudDial","value":1},{"key":"Security","value":1},{"key":"GitLabCI","value":1},{"key":"Monitor","value":1},{"key":"Integration","value":1},{"key":"Workspace","value":1},{"key":"Billing","value":1}]}' \

Response

{
    "code": 200,
    "content": {
        "config": [
            {
                "key": "Scene",
                "value": 1
            },
            {
                "key": "Events",
                "value": 1
            },
            {
                "key": "ExceptionsTracking",
                "value": 1
            },
            {
                "key": "Objectadmin",
                "value": 1
            },
            {
                "key": "MetricQuery",
                "value": 1
            },
            {
                "key": "LogIndi",
                "value": 1
            },
            {
                "key": "Tracing",
                "value": 1
            },
            {
                "key": "Rum",
                "value": 1
            },
            {
                "key": "CloudDial",
                "value": 1
            },
            {
                "key": "Security",
                "value": 1
            },
            {
                "key": "GitLabCI",
                "value": 1
            },
            {
                "key": "Monitor",
                "value": 1
            },
            {
                "key": "Integration",
                "value": 1
            },
            {
                "key": "Workspace",
                "value": 1
            },
            {
                "key": "Billing",
                "value": 1
            }
        ],
        "createAt": 1697627382,
        "creator": "acnt_xxxx32",
        "deleteAt": -1,
        "id": 763,
        "keyCode": "WsMenuCfg",
        "status": 0,
        "updateAt": 1697627382,
        "updator": "acnt_xxxx32",
        "uuid": "ctcf_xxxx32",
        "workspaceUUID": "wksp_xxxx20"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "475074598825122309"
}